## net.i2p.router.peermanager
Class ProfileOrganizerRenderer

    java.lang.Object
      net.i2p.router.peermanager.ProfileOrganizerRenderer

class ProfileOrganizerRenderer
extends java.lang.Object

Helper class to refactor the HTML rendering from out of the ProfileOrganizer

Constructor Summary
`ProfileOrganizerRenderer(ProfileOrganizer organizer, RouterContext context)`

Method Summary
`void` `renderStatusHTML(java.io.Writer out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileOrganizerRenderer

    public ProfileOrganizerRenderer(ProfileOrganizer organizer,
                                    RouterContext context)

Method Detail

### renderStatusHTML

    public void renderStatusHTML(java.io.Writer out)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`